/* packetDump.h
 *
 * Copyright (C) 2004 Oki Telecommunication Systems Co.,Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef	PACKETDUMP_H
#define	PACKETDUMP_H

#ifndef	MAX_PATH
#define	MAX_PATH	260
#endif

typedef struct _T_PACKET_DUMP_LIST {
	struct _T_PACKET_DUMP_LIST*	ptPacketDumpListNext;	//̃pPbg_vXg̃AhX
	char						cFilename[MAX_PATH];	//t@C
	char						cComment[MAX_PATH];		//PsRg
	char						cData[MAX_PATH];		//f[^
} T_PACKET_DUMP_LIST;

//pPbg_v\
typedef struct _T_PACKET_DUMP {
	char			cCaptureFilename[MAX_PATH];	//etherealpPbgLv`t@C
	char			cOutputFoldername[MAX_PATH];//pPbg_vo̓tH_
	char			cBaseFilename[MAX_PATH];	//pPbg_ṽx[Xt@C
	unsigned long	ulPortocol;					//ΏۃvgR
	unsigned long	ulSourceIP;					//MIPAhX
	unsigned long	ulDestinationIP;			//MIPAhX
	unsigned short	usSourcePort;				//M|[gԍ
	unsigned short	usDestinationPort;			//M|[gԍ
	long			lOutputFileCount;			//o̓t@C
	long			lOutputCountFlag;			//o̓t@CvZtO
												//(1:t@Co͂ȂB 0:t@Co͂B)
	struct _T_PACKET_DUMP_LIST*	ptPacketDumpList;	//̃pPbg_vXg̃AhX
} T_PACKET_DUMP;

//vgR
#define PROTOCOL_TCP	0x0001
#define PROTOCOL_UDP	0x0002

//G[
#define ERROR_NONE							0x00000000	//I
#define ERROR_OUTPUTFILENAME_TOO_LONG		0xF0000001	//o̓t@C
#define ERROR_CAN_NOT_ALLOCATE_MEMORY		0xF0000002	//mێs
#define ERROR_DUMP_FAILED					0xF0000003	//t@C_vs

#define ERROR_PACKET_NO_DATA				0xF0000011	//f[^Ȃ
#define ERROR_PACKET_TOO_SHORT				0xF0000012	//pPbgZ
#define ERROR_PACKET_NOT_IP					0xF0000013	//hopPbgłȂ
#define ERROR_PACKET_IPv4					0xF0000014	//hoSpPbgłȂ
#define ERROR_PACKET_IP_INVALID_SIZE		0xF0000015	//howb_TCYs
#define	ERROR_PACKET_PROTOCOL_NOT_SUPPORT	0xF0000016	//T|[gvgRisboAtcoOj
#define ERROR_PACKET_SIZE_CONFLICT			0xF0000017	//pPbgTCY
#define ERROR_PACKET_NOT_TARGET				0xF0000018	//ΏۊO

//#define ERROR_CAN_NOT_ALLOCATE_MEMORY		0xF0000001	//mێs
//#define ERROR_CAN_NOT_OPEN_CAPTURE_FILE		0xF0000002	//Lv`t@CI[vs
//#define ERROR_CAN_NOT_READ_CAPTURE_FILE		0xF0000003	//Lv`t@Cǂݍݎs

#endif	//PACKETDUMP_H
