Attribute VB_Name = "modPacketDump"
'/* PacketDump.bas
' *
' * Copyright (C) 2004 Oki Telecommunication Systems Co.,Ltd.
' *
' * This program is free software; you can redistribute it and/or modify
' * it under the terms of the GNU General Public License as published by
' * the Free Software Foundation; either version 2 of the License, or
' *  (at your option) any later version.
' *
' * This program is distributed in the hope that it will be useful,
' * but WITHOUT ANY WARRANTY; without even the implied warranty of
' * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' * GNU General Public License for more details.
' *
' * You should have received a copy of the GNU General Public License
' * along with this program; if not, write to the Free Software
' * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
' */

Option Explicit

'VXep錾
Public Const ForReading            As Integer = 1
Public Const ForWriting            As Integer = 2
Public Const ForAppending          As Integer = 3
Public Const TristateUseDefault    As Integer = -2
Public Const TristateTrue          As Integer = -1
Public Const TristateFalse         As Integer = 0

Public Const SFID_DESKTOP = &H0
Public Const SFID_PROGRAMS = &H2
Public Const SFID_PERSONAL = &H5
Public Const SFID_FAVORITES = &H6
Public Const SFID_STARTUP = &H7
Public Const SFID_RECENT = &H8
Public Const SFID_SENDTO = &H9

Public Const WM_USER = &H400
Public Const BFFM_INITIALIZED = 1
Public Const BFFM_SETSELECTIONA = (WM_USER + 102)

Public Type BROWSEINFO
    hwndOwner                         As Long
    pidlRoot                          As Long
    pszDisplayName                    As String
    lpszTitle                         As String
    ulFlags                           As Long
    lpfn                              As Long
    lParam                            As Long
    iImage                            As Long
End Type

'ubNړ֐̐錾
Public Declare Sub MoveMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal length As Long)
'fBNgpX𒊏oAPI
Public Declare Function SHGetSpecialFolderLocation Lib "shell32" (ByVal hwndOwner As Long, ByVal nFolder As Long, ByRef pIdl As Long) As Long
'ACeʎq̃XgVXepX֕ϊAPI
Public Declare Function SHGetPathFromIDList Lib "shell32.dll" (ByVal pIdl As Long, ByVal pszPath As String) As Long
'tH_w_CAO\API
Public Declare Function SHBrowseForFolder Lib "shell32.dll" (lpBrowseInfo As BROWSEINFO) As Long
'SendMessageStr
Public Declare Function SendMessageStr Lib "USER32" Alias "SendMessageA" (ByVal hWnd&, ByVal wMsg&, ByVal wParam&, ByVal lParam$) As Long


'Wiretap error codes.
Public Const WTAP_ERR_NOT_REGULAR_FILE              As Long = -1
'The file being opened for reading isn't a plain file (or pipe)
Public Const WTAP_ERR_RANDOM_OPEN_PIPE              As Long = -2
'The file is being opened for random access and it's a pipe
Public Const WTAP_ERR_FILE_UNKNOWN_FORMAT           As Long = -3
'The file being opened is not a capture file in a known format
Public Const WTAP_ERR_UNSUPPORTED                   As Long = -4
'Supported file type, but there's something in the file we can 't support
Public Const WTAP_ERR_CANT_WRITE_TO_PIPE            As Long = -5
'Wiretap can't save to a pipe in the specified format
Public Const WTAP_ERR_CANT_OPEN                     As Long = -6
'The file couldn't be opened, reason unknown
Public Const WTAP_ERR_UNSUPPORTED_FILE_TYPE         As Long = -7
'Wiretap can't save files in the specified format
Public Const WTAP_ERR_UNSUPPORTED_ENCAP             As Long = -8
'Wiretap can't read or save files in the specified format with the specified encapsulation
Public Const WTAP_ERR_ENCAP_PER_PACKET_UNSUPPORTED  As Long = -9
'The specified format doesn't support per-packet encapsulations
Public Const WTAP_ERR_CANT_CLOSE                    As Long = -10
'The file couldn't be closed, reason unknown
Public Const WTAP_ERR_CANT_READ                     As Long = -11
'An attempt to read failed, reason unknown
Public Const WTAP_ERR_SHORT_READ                    As Long = -12
'An attempt to read read less data than it should have
Public Const WTAP_ERR_BAD_RECORD                    As Long = -13
'We read an invalid record
Public Const WTAP_ERR_SHORT_WRITE                   As Long = -14
'An attempt to write wrote less data than it should have
Public Const WTAP_ERR_UNC_TRUNCATED                 As Long = -15
'Sniffer compressed data was oddly truncated
Public Const WTAP_ERR_UNC_OVERFLOW                  As Long = -16
'Uncompressing Sniffer data would overflow buffer
Public Const WTAP_ERR_UNC_BAD_OFFSET                As Long = -17
'LZ77 compressed data has bad offset to string


'Avp錾

'G[
Public Const ERROR_NONE                         As Long = &H0             'I
Public Const ERROR_OUTPUTFILENAME_TOO_LONG      As Long = &HF0000001      'o̓t@C
Public Const ERROR_CAN_NOT_ALLOCATE_MEMORY      As Long = &HF0000002      'mێs
Public Const ERROR_DUMP_FAILED                  As Long = &HF0000003      't@C_vs
Public Const ERROR_PACKET_NO_DATA               As Long = &HF0000011      'f[^Ȃ
Public Const ERROR_PACKET_TOO_SHORT             As Long = &HF0000012      'pPbgZ
Public Const ERROR_PACKET_NOT_IP                As Long = &HF0000013      'hopPbgłȂ
Public Const ERROR_PACKET_IPv4                  As Long = &HF0000014      'hoSpPbgłȂ
Public Const ERROR_PACKET_IP_INVALID_SIZE       As Long = &HF0000015      'howb_TCYs
Public Const ERROR_PACKET_PROTOCOL_NOT_SUPPORT  As Long = &HF0000016      'T|[gvgRisboAtcoOj
Public Const ERROR_PACKET_SIZE_CONFLICT         As Long = &HF0000017      'pPbgTCY
Public Const ERROR_PACKET_NOT_TARGET            As Long = &HF0000018      'ΏۊO

Public Const MAX_PATH = 260
Public Const BIF_NEWDIALOGSTYLE = &H40
Public Const strInvalidCharacters As String = "\/:,;*?""<>|"    't@CƂĎgpłȂꗗ

Public Const PROTOCOL_TCP As Long = &H1
Public Const PROTOCOL_UDP As Long = &H2

Type T_CAPTURE_FILES
    count   As Integer
    file()  As String
End Type

Public Type T_PATH
    path(MAX_PATH)  As Byte
End Type

Public Type T_PACKET_DUMP_LIST
    lNext               As Long                 '̃pPbg_vXg̃AhX
    sFilename           As String * MAX_PATH    't@C
    sComment            As String * MAX_PATH    'PsRg
    sData               As String * MAX_PATH    'f[^
'    sFilename(MAX_PATH)         As Byte     't@C
'    sComment(MAX_PATH)          As Byte     'PsRg
'    sData(MAX_PATH)             As Byte     'f[^
End Type

Public Type T_PACKET_DUMP
'    sCaptureFilename(MAX_PATH)  As Byte     'etherealpPbgLv`t@C
'    sOutputFoldername(MAX_PATH) As Byte     'pPbg_vo̓tH_
'    sBaseFilename(MAX_PATH)     As Byte     'pPbg_ṽx[Xt@C
    sCaptureFilename    As String * MAX_PATH 'etherealpPbgLv`t@C
    sOutputFoldername   As String * MAX_PATH 'pPbg_vo̓tH_
    sBaseFilename       As String * MAX_PATH 'pPbg_ṽx[Xt@C
    lPortocol                   As Long     'ΏۃvgR
    lSourceIP                   As Long     'MIPAhX
    lDestinationIP              As Long     'MIPAhX
    iSourcePort                 As Integer  'M|[gԍ
    iDestinationPort            As Integer  'M|[gԍ
    lOutputFileCount            As Long     'o̓t@CiĂяołONAj
    lOutputCountFlag            As Long     'o̓t@CvZtO
                                            '(1:t@Co͂ȂB 0:t@Co͂B)
    lPacketDumpList             As Long     'pPbg_vXg̃AhXiĂяołONAj
End Type

'Lv`t@C_v
Public Declare Function dumpCaptureFile Lib "packetDump.dll" (packet As T_PACKET_DUMP) As Long
'Lv`t@CJ
Public Declare Function freeCaptureFile Lib "packetDump.dll" (packet As T_PACKET_DUMP) As Long

'G[bZ[W\
Public Sub displayErrorMessage(sFilename As String, lError As Long)
    Dim message As String
    Select Case lError
    Case ERROR_NONE                         'I
        Exit Sub
    Case ERROR_OUTPUTFILENAME_TOO_LONG      'o̓t@C
        message = LoadResString(RESID_ERR_OUTPUTFILENAME_TOO_LONG)
    Case ERROR_CAN_NOT_ALLOCATE_MEMORY      'mێs
        message = LoadResString(RESID_ERR_CAN_NOT_ALLOCATE_MEMORY)
    Case ERROR_DUMP_FAILED                  't@C_vs
        message = LoadResString(RESID_ERR_DUMP_FAILED)
    Case ERROR_PACKET_NO_DATA               'f[^Ȃ
        message = LoadResString(RESID_ERR_PACKET_NO_DATA)
    Case ERROR_PACKET_TOO_SHORT             'pPbgZ
        message = LoadResString(RESID_ERR_PACKET_TOO_SHORT)
    Case ERROR_PACKET_NOT_IP                'hopPbgłȂ
        message = LoadResString(RESID_ERR_PACKET_NOT_IP)
    Case ERROR_PACKET_IPv4                  'hoSpPbgłȂ
        message = LoadResString(RESID_ERR_PACKET_IPv4)
    Case ERROR_PACKET_IP_INVALID_SIZE       'howb_TCYs
        message = LoadResString(RESID_ERR_PACKET_IP_INVALID_SIZE)
    Case ERROR_PACKET_PROTOCOL_NOT_SUPPORT  'T|[gvgRisboAtcoOj
        message = LoadResString(RESID_ERR_PACKET_PROTOCOL_NOT_SUPPORT)
    Case ERROR_PACKET_SIZE_CONFLICT         'pPbgTCY
        message = LoadResString(RESID_ERR_PACKET_SIZE_CONFLICT)
    Case ERROR_PACKET_NOT_TARGET            'ΏۊO
        message = LoadResString(RESID_ERR_PACKET_NOT_TARGET)

    'Wiretap error codes.
    Case WTAP_ERR_NOT_REGULAR_FILE
    'The file being opened for reading isn't a plain file (or pipe)
        message = "this file is not regular file"
    Case WTAP_ERR_RANDOM_OPEN_PIPE
    'The file is being opened for random access and it's a pipe
        message = "this is random access pipe"
    Case WTAP_ERR_FILE_UNKNOWN_FORMAT
    'The file being opened is not a capture file in a known format
        message = "this is not a capture file in a known format"
    Case WTAP_ERR_UNSUPPORTED
    'Supported file type, but there's something in the file we can 't support
        message = "supported file type, but there's something in the file we can 't support"
    Case WTAP_ERR_CANT_WRITE_TO_PIPE
    'Wiretap can't save to a pipe in the specified format
        message = "wiretap can't save to a pipe in the specified format"
    Case WTAP_ERR_CANT_OPEN
    'The file couldn't be opened, reason unknown
        message = "the file couldn't be opened, reason unknown"
    Case WTAP_ERR_UNSUPPORTED_FILE_TYPE
    'Wiretap can't save files in the specified format
        message = "wiretap can't save files in the specified format"
    Case WTAP_ERR_UNSUPPORTED_ENCAP
    'Wiretap can't read or save files in the specified format with the specified encapsulation
        message = "wiretap can't read or save files in the specified format with the specified encapsulation"
    Case WTAP_ERR_ENCAP_PER_PACKET_UNSUPPORTED
    'The specified format doesn't support per-packet encapsulations
        message = "the specified format doesn't support per-packet encapsulations"
    Case WTAP_ERR_CANT_CLOSE
    'The file couldn't be closed, reason unknown
        message = "the file couldn't be closed, reason unknown"
    Case WTAP_ERR_CANT_READ
    'An attempt to read failed, reason unknown
        message = "an attempt to read failed, reason unknown"
    Case WTAP_ERR_SHORT_READ
    'An attempt to read read less data than it should have
        message = "an attempt to read read less data than it should have"
    Case WTAP_ERR_BAD_RECORD
    'We read an invalid record
        message = "we read an invalid record"
    Case WTAP_ERR_SHORT_WRITE
    'An attempt to write wrote less data than it should have
        message = "an attempt to write wrote less data than it should have"
    Case WTAP_ERR_UNC_TRUNCATED
    'Sniffer compressed data was oddly truncated
        message = "sniffer compressed data was oddly truncated"
    Case WTAP_ERR_UNC_OVERFLOW
    'Uncompressing Sniffer data would overflow buffer
        message = "uncompressing Sniffer data would overflow buffer"
    Case WTAP_ERR_UNC_BAD_OFFSET
    'LZ77 compressed data has bad offset to string
        message = "LZ77 compressed data has bad offset to string"
    Case Else
        message = "unknown error occured"
    End Select
    MsgBox message & "(" & sFilename & ", " & CStr(lError) & ").", vbExclamation
End Sub

't@CÓ
Public Function validateFilename(strInput As String)
    Dim i   As Integer
    Dim c   As String
    Dim rc  As Integer
    For i = 1 To Len(strInvalidCharacters)
        c = Mid$(strInvalidCharacters, i, 1)
        rc = InStr(1, strInput, c, vbTextCompare)
        If (rc > 0) Then
            validateFilename = 0 - rc
            Exit Function
        End If
    Next i
    validateFilename = 0
End Function

'vV[WAhX擾
Public Function AddressOfProcedure(lAddress As Long) As Long
    '̂܂ܕԂlƂĕԂ
    AddressOfProcedure = lAddress
End Function

'NULLȍ~菜
Public Function TrimNull(sStr As String) As String
    '̍ŏ vbNullChar ܂ł𔲂o
    Dim n   As Integer
    n = InStr(sStr, vbNullChar)
    If n Then
        TrimNull = Left$(sStr, n - 1)
    Else
        TrimNull = sStr
    End If
End Function

'|C^̎wo
Public Function getStrFromPtr(pString As Long, nBytes As Long) As String
    ReDim bString(nBytes) As Byte
    Call MoveMemory(bString(0), ByVal pString, nBytes)
    getStrFromPtr = TrimNull(StrConv(bString(), vbUnicode))
End Function

Public Function callbackOfSHBrowseForFolder(ByVal hWnd As Long, ByVal uMsg As Long, ByVal lParam As Long, ByVal lpData As Long) As Long
    'SHBrowseForFolder ֐̃R[obN֐
    '_CAȌƂ
    'lpData Ŗ߂[gfBNgݒ
    If uMsg = BFFM_INITIALIZED Then
        Call SendMessageStr(hWnd, BFFM_SETSELECTIONA, True, getStrFromPtr(lpData, MAX_PATH))
    End If
End Function
